Skip to main content
GET
/
v1
/
notifications
/
{notificationId}
Get notification
curl --request GET \
  --url https://api.meetecho.ai/api/v1/notifications/{notificationId} \
  --header 'x-api-key: <api-key>'
{
  "id": "13eea9cc-dbad-897d-35d9-fa46a5e30971",
  "project_id": "e56b4c35-882d-4604-9944-9763d314ea59",
  "agent_id": "ddb8be3b-a426-4122-b877-a0cba363c89d",
  "customer_id": "8cc6199f-9466-46f2-9db7-936f3c2c1c0b",
  "target_phone_e164": "+971123456789",
  "message": "",
  "context": "<string>",
  "collect_feedback": false,
  "max_duration_seconds": 180,
  "status": "in_progress",
  "call_result": {},
  "created_at": "2026-03-18T17:51:00.000Z",
  "updated_at": "2026-03-18T17:51:05.000Z"
}

Authorizations

x-api-key
string
header
required

Echo API key — format: echo_<64 hex chars>. Returned once on signup.

Path Parameters

notificationId
string<uuid>
required

Response

Notification object

id
string<uuid>
Example:

"13eea9cc-dbad-897d-35d9-fa46a5e30971"

project_id
string<uuid>
Example:

"e56b4c35-882d-4604-9944-9763d314ea59"

agent_id
string<uuid> | null
Example:

"ddb8be3b-a426-4122-b877-a0cba363c89d"

customer_id
string<uuid> | null
Example:

"8cc6199f-9466-46f2-9db7-936f3c2c1c0b"

target_phone_e164
string
Example:

"+971123456789"

message
string
Example:

""

context
string | null
collect_feedback
boolean
Example:

false

max_duration_seconds
integer
Example:

180

status
enum<string>
Available options:
queued,
in_progress,
completed,
failed,
canceled
Example:

"in_progress"

call_result
object
created_at
string<date-time>
Example:

"2026-03-18T17:51:00.000Z"

updated_at
string<date-time>
Example:

"2026-03-18T17:51:05.000Z"